Module | Haml::Filters::ERB
In: | lib/haml/filters.rb

Parses the filtered text with ERB. Not available if the {file:HAML_REFERENCE.md#suppress_eval-option `:suppress_eval`} option is set to true. Embedded Ruby code is evaluated in the same context as the Haml template.

### Methods

compile

### Included Modules

Base

### Public Instance methods

compile(precompiler, text)

@see Base#compile

[Source]

         # File lib/haml/filters.rb, line 314
    314:       def compile(precompiler, text)
    315:         return if precompiler.options[:suppress_eval]
    316:         src = ::ERB.new(text).src.sub(/^#coding:.*?\n/, '').
    317:           sub(/^_erbout = '';/, "")
    318:         precompiler.send(:push_silent, src)
    319:       end

[Validate]